package web.service;

import javax.persistence.EntityManager;

import persistence.model.Contato;

public class ContatoServiceImpl extends BaseService implements ContatoService {

	public void addContato(Contato contato) {
		EntityManager em = getEntityManager();
		
		em.getTransaction().begin();
		em.persist(contato);		
		em.getTransaction().commit();

	}

	public Contato findByID(long id) {		
		EntityManager em = getEntityManager();		
		return em.find(Contato.class, id);		
	}
}
